org.apache.olingo.odata2.api.edm.provider

## Class EntityType

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.ComplexType
  - - org.apache.olingo.odata2.api.edm.provider.EntityType

-     public class EntityType
      extends ComplexType

  Objects of this class represent an entity type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomizableFeedMappings` | `getCustomizableFeedMappings()`
    `Key` | `getKey()`
    `List<NavigationProperty>` | `getNavigationProperties()`
    `boolean` | `isHasStream()`
    `EntityType` | `setAbstract(boolean isAbstract)` Sets if it is abstract
    `EntityType` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `EntityType`
    `EntityType` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `EntityType`
    `EntityType` | `setBaseType(FullQualifiedName baseType)` Sets the `FullQualifiedName` of the base type
    `EntityType` | `setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)` Sets the `CustomizableFeedMappings` for this `EntityType`
    `EntityType` | `setDocumentation(Documentation documentation)` Sets the `Documentation`
    `EntityType` | `setHasStream(boolean hasStream)` Sets if this `EntityType` is a media resource
    `EntityType` | `setKey(Key key)` Sets the `Key` for this `EntityType`
    `EntityType` | `setMapping(Mapping mapping)` Sets the `Mapping`
    `EntityType` | `setName(String name)` Sets the name
    `EntityType` | `setNavigationProperties(List<NavigationProperty> navigationProperties)` Sets the `NavigationProperty`s for this `EntityType`
    `EntityType` | `setProperties(List<Property> properties)` Sets the `Property`s

    - ### Methods inherited from class org.apache.olingo.odata2.api.edm.provider.ComplexType

      `getAnnotationAttributes, getAnnotationElements, getBaseType, getDocumentation, getMapping, getName, getProperties, isAbstract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityType

          public EntityType()

  - ### Method Detail

    - #### isHasStream

          public boolean isHasStream()

      Returns:
        boolean if this EntityType is a media resource

    - #### getCustomizableFeedMappings

          public CustomizableFeedMappings getCustomizableFeedMappings()

      Returns:
        `CustomizableFeedMappings` of this entity type

    - #### getKey

          public Key getKey()

      Returns:
        `Key` of this entity type

    - #### getNavigationProperties

          public List<NavigationProperty> getNavigationProperties()

      Returns:
        List<`NavigationProperty`> of this entity type

    - #### setHasStream

          public EntityType setHasStream(boolean hasStream)

      Sets if this `EntityType` is a media resource
      Parameters:
        `hasStream` -
      Returns:
        `EntityType` for method chaining,

    - #### setCustomizableFeedMappings

          public EntityType setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)

      Sets the `CustomizableFeedMappings` for this `EntityType`
      Parameters:
        `customizableFeedMappings` -
      Returns:
        `EntityType` for method chaining

    - #### setKey

          public EntityType setKey(Key key)

      Sets the `Key` for this `EntityType`
      Parameters:
        `key` -
      Returns:
        `EntityType` for method chaining

    - #### setNavigationProperties

          public EntityType setNavigationProperties(List<NavigationProperty> navigationProperties)

      Sets the `NavigationProperty`s for this `EntityType`
      Parameters:
        `navigationProperties` -
      Returns:
        `EntityType` for method chaining

    - #### setName

          public EntityType setName(String name)

      Description copied from class: `ComplexType`
      Sets the name
      Overrides:
        `setName` in class `ComplexType`
      Parameters:
        `name` -
      Returns:
        `EntityType` for method chaining

    - #### setBaseType

          public EntityType setBaseType(FullQualifiedName baseType)

      Description copied from class: `ComplexType`
      Sets the `FullQualifiedName` of the base type
      Overrides:
        `setBaseType` in class `ComplexType`
      Parameters:
        `baseType` -
      Returns:
        `EntityType` for method chaining

    - #### setAbstract

          public EntityType setAbstract(boolean isAbstract)

      Description copied from class: `ComplexType`
      Sets if it is abstract
      Overrides:
        `setAbstract` in class `ComplexType`
      Parameters:
        `isAbstract` -
      Returns:
        `EntityType` for method chaining

    - #### setProperties

          public EntityType setProperties(List<Property> properties)

      Description copied from class: `ComplexType`
      Sets the `Property`s
      Overrides:
        `setProperties` in class `ComplexType`
      Parameters:
        `properties` -
      Returns:
        `EntityType` for method chaining

    - #### setMapping

          public EntityType setMapping(Mapping mapping)

      Description copied from class: `ComplexType`
      Sets the `Mapping`
      Overrides:
        `setMapping` in class `ComplexType`
      Parameters:
        `mapping` -
      Returns:
        `EntityType` for method chaining

    - #### setDocumentation

          public EntityType setDocumentation(Documentation documentation)

      Description copied from class: `ComplexType`
      Sets the `Documentation`
      Overrides:
        `setDocumentation` in class `ComplexType`
      Parameters:
        `documentation` -
      Returns:
        `EntityType` for method chaining

    - #### setAnnotationAttributes

          public EntityType setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `EntityType`
      Overrides:
        `setAnnotationAttributes` in class `ComplexType`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EntityType` for method chaining

    - #### setAnnotationElements

          public EntityType setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `EntityType`
      Overrides:
        `setAnnotationElements` in class `ComplexType`
      Parameters:
        `annotationElements` -
      Returns:
        `EntityType` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.